routes/web.php
  Route::view('/robinhood-users-still-have-a-purchase-limit','web.blogger.seventeen')->name('seventeen');
  Route::view('/optimism-of-the-Joe-Biden-presidency-for-bitcoin','web.blogger.eighteen')->name('eighteen');
  Route::view('/biden-preps-$3T-stimulus-bitcoin-could-be-bet-to-erupt','web.blogger.nineteen')->name('nineteen');
  Route::view('/bitcoin-price-breaks','web.blogger.twenty')->name('twenty');
   
  Route::view('/Winklevoss-Brothers-Top-Forbes-Bitcoin-Billionaires-List','web.blogger.twentyOne')->name('twentyOne');
  Route::view('/Ether-is-Flying-to-the-Moon-The-Analyze-for-Empirex-Capital','web.blogger.twentyTwo')->name('twentyTwo');
  Route::view('/the-cryptocurrency-that-became-the-new-target-of-investors','web.blogger.twentyThree')->name('twentyThree');
  Route::view('/bitcoins-coinbase-premium-turned-negative','web.blogger.twentyFour')->name('twentyFour');
  Route::view('/soccer-fan-tokens-on-the-march-as-poland-biggest-club-adopts-crypto','web.blogger.twentyFive')->name('twentyFive');
  
  Route::view('/Swiss-Crypto-ETP-Issuer-Passes-$1B-Assets-Under-Management','web.blogger.twentysix')->name('twentysix');
  Route::view('/Tesla-Bitcoin-and-the-Crypto-Space','web.blogger.twentyseven')->name('twentyseven');
  Route::view('/how-crypto-is-going-to-shake-up-the-world-of-mixed-martial-arts','web.blogger.twentyeight')->name('twentyeight');
  
  Route::view('/3-reasons-bitcoin-recovered-by-8-overnight','web.blogger.twentynine')->name('twentynine');
  Route::view('/IBEX-Exceeds-8400-Points-While-Markets-Weigh-the-Effect-of-Biden-Stimulus','web.blogger.thirty')->name('thirty');
  Route::view('/The-Cardano-Surpasses-the-Bitcoin-Rally-and-Ranks-in-the-Top-3-of-the-Crypto','web.blogger.thirtyone')->name('thirtyone');

  Route::view('/Hong-Kong-Companies-have-Committed-Billion-in-just-Seven-Months','web.blogger.thirtyTwo')->name('thirtyTwo');
  Route::view('/What-are-the-Non-Fungible-Tokens-with-Which-you-Buy-Art-Music-and-even-Tweets','web.blogger.thirtyThree')->name('thirtyThree');
  Route::view('/US-China-Talks-Keys-on-Wall-Street','web.blogger.thirtyfour')->name('thirtyfour');

//blogger


//languages
Route::get('locale/{locale}',[App\Http\Controllers\web\LanguajeController::class, 'index']);
Route::view('/terms-and-conditions.html','term')->name('term');

//mail
Route::post('message',[App\Http\Controllers\web\MessageController::class, 'index'])->name('message.index');
Route::post('newsletter',[App\Http\Controllers\web\MessageController::class, 'newsletter'])->name('newsletter');
Route::post('send',[App\Http\Controllers\web\MessageController::class, 'store'])->name('message.store');


Route::get('newsletter',function(){
  return view('newlatter');
})->name('noticia');

Route::view('/ver','mail.message')->name('ver');

///login
Route::get('/login',[App\Http\Controllers\web\LoginController::class, 'index'])->name('login');
Route::post('/login',[App\Http\Controllers\web\LoginController::class, 'login'])->name('login');


//register
Route::get('/register',[App\Http\Controllers\web\RegisterController::class, 'index'])->name('register.index');
Route::post('/register',[App\Http\Controllers\web\RegisterController::class, 'register'])->name('register');

//admin
Route::get('/dashboard',[App\Http\Controllers\admin\AdminController::class, 'index'])->name('dashboard')->middleware('auth');
Route::get('/dashboard/admin',[App\Http\Controllers\admin\AdminController::class, 'root'])->name('root')->middleware('auth');
Route::resource('investors',App\Http\Controllers\admin\InvestorController::class)->middleware('auth');
Route::get('invertir/{id}',[App\Http\Controllers\admin\InvestorController::class, 'send'])->name('invertir.send')->middleware('auth');



Route::resource('ambassadors',App\Http\Controllers\admin\AmbassadorController::class)->middleware('auth');
Route::resource('agent',App\Http\Controllers\admin\AgentController::class)->middleware('auth');
Route::resource('newsletters',App\Http\Controllers\admin\NewsletterController::class)->middleware('auth');
Route::resource('buy/sell',App\Http\Controllers\admin\BuyController::class)->middleware('auth');



Route::get('agent/edit/{id}',[App\Http\Controllers\admin\AgentController::class,'editarDoc'])->name('edit.doc')->middleware('auth');

//investor
Route::resource('investment',App\Http\Controllers\user\InversionistaController::class)->middleware('auth');

Route::put('investment/avatar/{id}',[App\Http\Controllers\user\InversionistaController::class,'avatar'])->name('investment.avatar')->middleware('auth');
Route::get('investment/bank/{id}',[App\Http\Controllers\user\InversionistaController::class,'bank'])->name('investment.bank')->middleware('auth');
Route::get('investment/document/{id}',[App\Http\Controllers\user\InversionistaController::class,'document'])->name('investment.document')->middleware('auth');
Route::view('inbox','admin.information.investment.request')->name('inbox')->middleware('auth');



//agent
Route::get('/agente',[App\Http\Controllers\user\AgenteController::class, 'profile'])->name('agente.profile')->middleware('auth');
Route::put('/agente/update',[App\Http\Controllers\user\AgenteController::class, 'update'])->name('agente.update')->middleware('auth');
Route::get('/contrat',[App\Http\Controllers\user\AgenteController::class, 'contrat'])->name('agente.contrat')->middleware('auth');
Route::get('/upload-file',[App\Http\Controllers\user\AgenteController::class, 'upload'])->name('agente.upload')->middleware('auth');
Route::post('/upload-file',[App\Http\Controllers\user\AgenteController::class, 'store'])->name('agente.file')->middleware('auth');
Route::get('/delete/document/{id}',[App\Http\Controllers\user\AgenteController::class, 'deleteDocument'])->name('remove.document')->middleware('auth');
Route::get('/agente/report',[App\Http\Controllers\user\AgenteController::class, 'reports'])->name('agente.report')->middleware('auth');
Route::post('/agente/contrat',[App\Http\Controllers\user\AgenteController::class, 'contrat_generate'])->name('agente.contratos')->middleware('auth');
Route::get('/agente/client',[App\Http\Controllers\user\AgenteController::class, 'client'])->name('agente.client')->middleware('auth');
Route::post('/agente/client',[App\Http\Controllers\user\AgenteController::class, 'agente_investor'])->name('agente.investors.store')->middleware('auth');


//Agreemnet
Route::resource('agreements',App\Http\Controllers\admin\AgreementController::class)->middleware('auth');
Route::resource('profits',App\Http\Controllers\admin\ProfitController::class)->middleware('auth');

//commnet
Route::resource('/comment',App\Http\Controllers\CommentController::class);

//activity
Route::get('/activity',[App\Http\Controllers\admin\ActivityController::class, 'index'])->name('activity.index');

Route::get('message/{id}',[App\Http\Controllers\web\MessageController::class, 'show'])->name('message.show')->middleware('auth');
Route::post('response',[App\Http\Controllers\web\MessageController::class, 'response'])->name('response')->middleware('auth');


Route::get('/notifications', [App\Http\Controllers\NotificationController::class, 'index'])->name('notification.index')->middleware('auth');

Route::patch('/notifications/{id}', [App\Http\Controllers\NotificationController::class, 'read'])->name('notification.read')->middleware('auth');
Route::delete('/notifications/{id}', [App\Http\Controllers\NotificationController::class, 'destroy'])->name('notification.destroy')->middleware('auth');


Route::post('/banner', [App\Http\Controllers\web\MessageController::class, 'banner'])->name('banner');

//Auth::routes();
Route::get('/logout',[App\Http\Controllers\web\LoginController::class, 'logout'])->name('logout');

//hace storage:link
Route::get('storage-link',function(){
  
  if(file_exists(public_path('storage'))){
    return "the public storage fue creado";
  }

  app('files')->link(storage_path('app/public'), public_path('storage'));
  return "the public storage fue creado";
  
});

Route::get('migration', function(){
  
   Artisan::call('migrate', ['--force' => true]);


   return "migration successfully";
});

/* Route::get('refresh', function(){
  Artisan::call('migrate:refresh --seed');
  return "migration successfully";
});  */

Route::get('clear',function(){
  Artisan::call('config:cache');
  Artisan::call('config:clear');
  Artisan::call('cache:clear');
  return "exito";
});



use App\Models\User;
use Illuminate\Support\Str;

Route::get('/send/{id}', function($id){
  $user = User::find($id);
  $pass = Str::random(10);
  $user->password= bcrypt($pass);
  $user->save();
  $correo = $user->email;
  $beautymail = app()->make(Snowfire\Beautymail\Beautymail::class);
	$beautymail->send('mail.register', [
    'name'=>$user->name,
    'email'=>$user->email,
    'password'=>$pass,
  ], function($message) use ($correo)
	{
		$message
			->from('info@empirexcapital.com', 'Empirex Capital')
			->to($correo,'Clientes Empirex Capital')
			->subject('Credenciales Portal Empirex Capital');
	});
  return back()->with('info','Thank you for sign up, we will send you an email with the password');
})->name('investors.send')->middleware('auth');



Route::post('send-about',[App\Http\Controllers\web\MessageController::class, 'about'])->name('message.about');

use Illuminate\Http\Request;

/* Route::post('/send-about', function(Request $request){
  dd($request->all());
  $beautymail = app()->make(Snowfire\Beautymail\Beautymail::class);
	$beautymail->send('mail.about', [
    'firstname'=>$request->firstname,
    'lastname'=>$request->lastname,
    'email'=>$request->email,
    'phone'=>$request->phone,
    'address'=>$request->address,
    'message'=>$request->message
  ], function($message)
	{
		$message
			->from('info@empirexcapital.com', 'Empirex Capital')
			->to('pernettleonardo@gmail.com','Clientes Empirex Capital')
			->subject('Credenciales Portal Empirex Capital');
	});
  return back()->with('info','Thank you for sign up, we will send you an email with the password');

resources/views/admin/information/investment/bank.blade.php
@extends('admin.layouts')

@section('styles')

@endsection

@section('content')

  <div class="container-fluid">
       <div class="d-flex justify-content-between align-items-center my-3">
          <h3 class="h3 mb-2  font-weight-bold text-purple" style="color: #001838">{{__('General Infomation ')}}</h3>
       </div>

      <div class="row">
        <div class="col-md-6">
            {{-- information --}}
            <div id="accordion">
              
              <div class="card">
                <div class="card-header" >
                  <h5 class="mb-0" style="color: #001838;font-weight:bold">
                      Bank Information
                  </h5>
                </div>
                  <div class="card-body">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="table-responsive">
                          <table class="table table-bordered border-primary">
                            <thead>
                              <tr>
                                <th style="background: #eaecf4; border:1px solid #ccc">Bank</th>
                                <td>{{$user->bank}}</td>
                              </tr>
                              <tr>
                                <th style="background: #eaecf4; border:1px solid #ccc">Account Number</th>
                                <td>{{$user->account_number}}</td>
                              </tr>
                                <tr>
                                  <th style="background: #eaecf4; border:1px solid #ccc">Routing Number or Swift</th>
                                  <td>{{$user->routing_number}}</td>
                                </tr>
                                <tr>
                                  <th style="background: #eaecf4; border:1px solid #ccc">Zelle</th>
                                  <td>{{$user->zelle}}</td>
                                </tr>
                               
                               <thead>
                          </table>
                        </div>
                      </div>
                    </div>
                  </div>
                
              </div>
            

            

            </div>
            {{-- end information --}}
        </div>
    </div>
  </div>








@endsection

@section('scripts')
   
@endsection

resources/views/admin/information/investment/edit.blade.php
@extends('admin.layouts')

@section('styles')
<style>
     .file-drop-area {
      position: relative;
      display: flex;
      align-items: center;
      width: 450px;
      max-width: 100%;
      padding: 25px;
      border: 1px dashed #ccc;
      border-radius: 3px;
      transition: 0.2s;
        }
      .file-drop-area.is-active {
        background-color: rgba(255, 255, 255, 0.05);
      }


    .fake-btn {
      flex-shrink: 0;
      background-color: rgba(255, 255, 255, 0.04);
      border: 1px solid rgba(255, 255, 255, 0.1);
      border-radius: 3px;
      padding: 8px 15px;
      margin-right: 10px;
      font-size: 12px;
      text-transform: uppercase;
    }

    .file-msg {
      font-size: small;
      font-weight: 300;
      line-height: 1.4;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }

    .file-input {
      position: absolute;
      left: 0;
      top: 0;
      height: 100%;
      width: 100%;
      cursor: pointer;
      opacity: 0;
      
      
    }

    .file-input:focus{
      outline: none;
    }

</style>
@endsection

@section('content')

  <div class="container-fluid">
       <div class="d-flex justify-content-between align-items-center my-3">
          <h3 class="h3 mb-2  font-weight-bold text-purple" style="color: #001838">{{__('Edit your')}} {{__('Information')}}</h3>
       </div>

      <div class="row">
        <div class="col-md-12">
          <div class="card shadow mb-4">
             <div class="card-header py-3"  >
                <h6 class="m-0 font-weight-bold">{{__('Investor')}}</h6>
             </div>
             <div class="card-body">
                 <form action="{{ route('investment.update',$user->id)}}" method="POST" enctype="multipart/form-data">
                    @method('PUT')
                    @csrf
                    <div class="row">
                        <div class="col-md-6">
            
                
                              <div class="form-group">
                                <label for="">Investor # <span class="text-danger">*</span></label>
                                <input type="text" class="form-control" name="contrat_number"  value="{{$user->contrat_number ?? ''}}" disabled >
                                @error('contrat_number') <small class="text-danger">{{$message}}</small> @enderror
                              </div>
                
                                <div class="form-group">
                                    <label for="">Name <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" name="name"  value="{{$user->name ?? ''}}"  >
                                    @error('name') <small class="text-danger">{{$message}}</small> @enderror
                                </div>

                                <div class="form-group">
                                  <label for="">Password <span class="text-danger">*</span></label>
                                  <input type="text" class="form-control" name="password"  required >
                                  <small class="text-gray">change your password</small>

                                  @error('password') <small class="text-danger">{{$message}}</small> @enderror
                              </div>
                
                                <div class="form-group">
                                  <label for="">Email <span class="text-danger">*</span></label>
                                  <input type="email" min="1000" class="form-control" name="email"  value="{{$user->email ?? ''}}"  >
                                  @error('email') <small class="text-danger">{{$message}}</small> @enderror
                                </div>
                
                                <div class="form-group">
                                  <label for="">Home Address <span class="text-danger">*</span></label>
                                  <input type="text" class="form-control" name="address"  value="{{$user->address ?? ''}}"  >
                                  @error('address') <small class="text-danger">{{$message}}</small> @enderror
                                </div>
                
                                <div class="form-group">
                                <label for="">State <span class="text-danger">*</span></label>
                                <input type="text" class="form-control" name="state"  value="{{$user->state ?? ''}}" >
                                @error('state') <small class="text-danger">{{$message}}</small> @enderror
                
                              </div>
            
                              <div class="form-group">
                                <label for="">Country </label><span class="text-danger">*</span></label>
                                <input type="text" class="form-control" name="country" value="{{$user->country ?? ''}}">
                                @error('country') <small class="text-danger">{{$message}}</small> @enderror
                            </div>
            
                              <h4 style="color:#001838; font-weight:bold">Bank Information</h4>
                            <div class="form-group">
                              <label for="">Bank <span class="text-danger">*</span></label>
                              <input type="text" class="form-control" name="bank" disabled value="{{$user->bank ?? ''}}" >
                                @error('bank') <small class="text-danger">{{$message}}</small> @enderror
                            </div>
            
                            <div class="form-group">
                              <label for="">Routing Number or Swift <span class="text-danger">*</span></label>
                              <input type="text" class="form-control" name="routing_number" disabled  value="{{$user->routing_number ?? ''}}">
                              @error('routing_number') <small class="text-danger">{{$message}}</small> @enderror
              
                            </div>
            
                          
            
                          {{-- <div class="file-drop-area">
                            <span class="fake-btn">{{__('Choose or drag your Contract')}}</span>
                              <span class="file-msg"></span>
                              <input class="file-input" type="file" name="document" id="file-upload" >
                          </div>
                            <small>max size 1mb</small>
                            @error('document') <small class="text-danger">{{$message}}</small> @enderror --}}
                        </div>
        
                          <div class="col-md-6">
                                <div class="form-group">
                                    <label for="">ID <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" name="identification"  value="{{$user->identification ?? ''}}" disabled >
                                    @error('identification') <small class="text-danger">{{$message}}</small> @enderror
                                </div>
            
                                <div class="form-group">
                                  <label for="">Last Name <span class="text-danger">*</span></label>
                                  <input type="text" class="form-control" name="lastname"  value="{{$user->lastname ?? ''}}">
                                  @error('last_name') <small class="text-danger">{{$message}}</small> @enderror
                                </div>
            
                                <div class="form-group">
                                  <label for="">Secondary Email <span class="text-danger">*</span></label>
                                  <input type="email" class="form-control" name="second_email"  value="{{$user->second_email ?? ''}}">
                                  @error('second_email') <small class="text-danger">{{$message}}</small> @enderror
                                </div>
            
            
                                <div class="form-group">
                                  <label for="">Phone <span class="text-danger">*</span></label>
                                  <input type="text" class="form-control" name="phone"  value="{{$user->phone ?? ''}}">
                                  @error('phone') <small class="text-danger">{{$message}}</small> @enderror
                                </div>
            
                              
                                <div class="form-group">
                                  <label for="">City <span class="text-danger">*</span></label>
                                  <input type="text" class="form-control" name="city" value="{{$user->city ?? ''}}" >
                                  @error('city') <small class="text-danger">{{$message}}</small> @enderror
                                </div>
            
                                <div class="form-group">
                                  <label for="">Zip Code <span class="text-danger">*</span></label>
                                  <input type="text" class="form-control" name="code_postal"  value="{{$user->code_postal ?? ''}}" >
                                  @error('code_postal') <small class="text-danger">{{$message}}</small> @enderror
                                </div>
            
                                <div class="form-group" style="margin-top:160px">
                                  <label for="">Account Number <span class="text-danger" >*</span></label>
                                  <input type="text" class="form-control" name="account_number" disabled  value="{{$user->account_number ?? ''}}" >
                                  @error('account_number') <small class="text-danger">{{$message}}</small> @enderror
                              </div>
                              <div class="form-group">
                                <label for="">Zelle </label>
                                <input type="text" class="form-control" name="zelle"  disabled value="{{$user->zelle ?? ''}}">
                              </div>
                              
                          </div>
                    </div>
                  
                      <br>
                      <button class="btn btn-primary mx-2" type="submit">{{__('Save')}}</button>
                      <a href="javascript:history.back()" class="btn btn-success">{{__('Back')}}</a>
                 </form>
            </div>
          </div>
        </div>
       
    
    </div>
  </div>








@endsection

@section('scripts')
   
@endsection

resources/views/admin/information/investment/index.blade.php
@extends('admin.layouts')



@section('content')

  <div class="container-fluid">
      <div class="d-flex justify-content-between align-items-center my-3">
        <h3 class="h3 mb-2  font-weight-bold text-purple" style="color: #001838">{{__('Hello')}}, {{auth()->user()->name}}</h3>

      </div>
      <div class="row">
         <div class="col-md-10">
          <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold text-primary">{{__('Information')}}</h6>
            </div>
            <div class="card-body">
               
              <div class="table-responsive">
                <table class="table table-bordered"  width="100%" cellspacing="0">
                    <thead>
                        <tr>
                            <th style="background: #eaecf4; border:1px solid #ccc">Id</th>
                            <td>{{$user->id}}</td>
                       </tr>
                       <tr>
                          <th style="background: #eaecf4; border:1px solid #ccc">Name</th>
                           <td>{{$user->name}}</td>
                       </tr>

                       <tr>
                        <th style="background: #eaecf4; border:1px solid #ccc">Email</th>
                        <td>{{$user->email}}</td>
                       </tr>
                          
                           
                                <tr>
                                  <th style="background: #eaecf4; border:1px solid #ccc"> Investor Id</th>
                                  <td>{{$user->contrat_number}}</td>
                                </tr>
                             
                                <tr>
                                    
                                  <th style="background: #eaecf4; border:1px solid #ccc">Actions</th>
                                   <td>
                                    <a href="{{route('investment.show',$user->id)}}" class="btn btn-primary btn-sm">  <i class="fas fa-eye"> Profile</i></a>
                                    <a href="{{route('investment.edit',$user->id)}}" class="btn btn-success btn-sm"><i class="fas fa-pencil-alt"></i> Edit  </a>
                                   </td>
                                </tr>

                        </tr>
                    </thead>
                    
                   
                   </table>
               </div> 
            </div>
         </div>
         </div>
       </div>
    </div>
      <!-- /.container-fluid -->

@endsection
  

resources/views/admin/information/investment/request.blade.php
@extends('admin.layouts')

@section('styles')

@endsection

@section('content')

  <div class="container-fluid">
       <div class="d-flex justify-content-between align-items-center my-3">
          <h3 class="h3 mb-2  font-weight-bold text-purple" style="color: #001838">{{__('General Infomation ')}}</h3>
       </div>

      <div class="row">
        <div class="col-md-12">
            {{-- information --}}
            <div id="accordion">

              <div class="card">
                <div class="card-header" id="headingFour">
                  <h5 class="mb-0"  style="color: #001838;font-weight:bold" >
                   
                      Request
                 
                  </h5>
                </div>
                  <div class="card-body">
                   
                     <div class="row">
                       <div class="col-md-5">
                        <form method="POST" action="{{route('message.store')}}">
                           @csrf
                          <div class="form-group">
                              <input type="subject" name ="subject" class="form-control" placeholder="Your Subject">
                          </div>
                          <div class="form-group">
                               <textarea  name="body" placeholder="Message"  rows="5" class="form-control"></textarea>
                           </div>
                           <button class="btn btn-primary">Send</button>
                        </form>
                       </div>
                     </div>

                  </div>
               
              </div>

            </div>
            {{-- end information --}}
        </div>
    </div>
  </div>








@endsection

@section('scripts')
   
@endsection